Subject: Re: [Netmod-ver-dt] Updated YANG Module Revision Handling slides

From: "Wubo (lana)" <[email-masked]>
Date: Tue, 19 Nov 2019 07:49:43 +0000

Hi Rob,

Thanks for your explanation. It is all clear now.

Thanks,
Bo

发件人: Rob Wilton (rwilton) [mailto:[email-masked]]
发送时间: 2019年11月19日 15:20
收件人: Wubo (lana) <[email-masked]>
抄送: [email-masked]
主题: RE: [Netmod-ver-dt] Updated YANG Module Revision Handling slides

Hi Bo,

Apologies, I might have caused you further confusion.  The rules are thus:

1)      All IETF YANG modules MUST have a revision-label, and that revision-label MUST use YANG Semver
2)      Non IETF YANG modules MAY have a revision-label, and it MAY use YANG Semver
3)      If the revision-label looks like it is a YANG semver then it MUST be interpreted as such.

My only concern is that I think that you stated that *all* modules MUST have a revision-label, which isn’t the case, and I was concerned that some folks would object.

Thanks,
Rob

From: Wubo (lana) <[email-masked]<mailto:[email-masked]>>
Sent: 19 November 2019 15:01
To: Rob Wilton (rwilton) <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]>
Subject: Re: [Netmod-ver-dt] Updated YANG Module Revision Handling slides

Hi Rob,

Regarding the presentation on the revision-label, the reason that I thought the revision-label is mandatory is due to the following text:

7.1.  Guidelines for YANG module authors

   All IETF YANG modules MUST include revision-label statements for all newly published YANG modules, and all newly published revisions of existing YANG modules.

Since you have confirmed that  my understanding is not correct, maybe this text should be modified also.

Thanks,
Bo